/*********************************************************************************************************************
 *
 *		Azoteq IQS525-TP43-HID-Ev-Kit
 *
 *              IQS5xx_Init.h - This file contains the settings for the IQS525 device for the TP43S housing.
 *
********************************************************************************************************************/


#define PRODUCT_NUMBER			40
#define PROJECT_NUMBER			0
#define VERSION_NUMBER			55

#define CONTROLSETTINGS0_VAL	0x68 
#define CONTROLSETTINGS1_VAL	0x01

#define PROXTHRESHOLD_VAL		0x0F
#define TOUCHMULTIPLIER_VAL		0x17
#define TOUCHSHIFTER_VAL		0x07
#define PMPROXTHRESHOLD_VAL		0x0A
#define SNAPTHRESHOLD_VAL		0x32
#define PROXTHRESHOLD2_VAL		0x0A
#define TOUCHMULTIPLIER2_VAL            0x05
#define TOUCHSHIFTER2_VAL		0x07

#define ATITARGET_VAL			600
#define ATIC_VAL                        4
#define ATITARGET2_VAL			600
#define ATIC2_VAL			0

#define FILTERSETTINGS0_VAL		0x02
#define TOUCHDAMPING_VAL		128
#define HOVERDAMPING_VAL		10
#define PMCOUNTDAMPING_VAL		16
#define LPPMCOUNTDAMPING_VAL            128
#define NMCOUNTDAMPING_VAL		3

#define RESEEDTIME_VAL			255
#define COMMSTIMEOUT_VAL		100
#define MODETIME_VAL			8
#define LPTIME_VAL                      8
#define SLEEPTIME_VAL			3

#define TOTALRXS_VAL			0x05
#define TOTALTXS_VAL			0x05
#define TRACKPADRXS_VAL			0x05
#define TRACKPADTXS_VAL			0x05
#define PMSETUP0_VAL			0x00
#define TXHIGH_VAL			0x00
#define TXLOW_VAL			0x00

#define PROXSETTINGS0_VAL		0x24
#define PROXSETTINGS1_VAL		0x72
#define PROXSETTINGS2_VAL		0x15
#define PROXSETTINGS3_VAL		0x43

#define ACTIVECHANNELS0_VAL		0x3FF
#define ACTIVECHANNELS1_VAL		0x3FF
#define ACTIVECHANNELS2_VAL		0x3FF
#define ACTIVECHANNELS3_VAL		0x3FF
#define ACTIVECHANNELS4_VAL		0x3FF
#define ACTIVECHANNELS5_VAL		0x000
#define ACTIVECHANNELS6_VAL		0x000
#define ACTIVECHANNELS7_VAL		0x000
#define ACTIVECHANNELS8_VAL		0x000
#define ACTIVECHANNELS9_VAL		0x000
#define ACTIVECHANNELS10_VAL            0x000
#define ACTIVECHANNELS11_VAL            0x000
#define ACTIVECHANNELS12_VAL            0x000
#define ACTIVECHANNELS13_VAL            0x000
#define ACTIVECHANNELS14_VAL            0x000

#define PROXDB_VAL			0x44
#define TOUCHSNAPDB_VAL			0x44

#define PMATITARGET_VAL			500
#define PMATIC_VAL                        0
