/*********************************************************************************************************************
 *
 *		Azoteq IQS525-TP43-HID-Ev-Kit
 *
 *              i2c_low_level.h   - This file contains structs to store the relative movement history of the pointer.
 *                                - Functions that operated on the datastructures are also included.
 *                                - The datastructures and the methods are used to remove noise from the pointer movement
 *
********************************************************************************************************************/



#ifndef I2C_LOW_LEVEL_H
#define I2C_LOW_LEVEL_H


void Comms_init(void);
void CommsIQS_send(unsigned char send_data);
unsigned char CommsIQS_read_ack(void);
unsigned char CommsIQS_read_nack(void);
void CommsIQS_start(void);
void CommsIQS_repeat_start(void);
void CommsIQS_stop(void);

#endif