/*********************************************************************************************************************
 *
 *		Azoteq IQS525-TP43-HID-Ev-Kit
 *
 *              includes.h - Main include file for this project.
 *
********************************************************************************************************************/


#ifndef INCLUDES_H
#define	INCLUDES_H

//Common definitions
#include "GenericTypeDefs.h"
#include "Compiler.h"

// PIC
#include "HW.h"
#include "i2c_low_level.h"
#include "i2c_high_level.h"
#include "delay.h"

// IQS
#include "IQS5xx_Init.h"
#include "IQS5xx.h"
#include "IQS525_handler.h"

// Trackpad handlers
#include "circular_buffer.h"

// USB
#include "HardwareProfile.h"
#include "usb_config.h"
#include "./USB/usb.h"
#include "./USB/usb_common.h"
#include "./USB/usb_ch9.h"
#include "./USB/usb_device.h"
#include "./USB/usb_device_local.h"
#include "./USB/usb_function_hid.h"
#include "./USB/usb_hal.h"
#include "./USB/usb_hal_pic18.h"
#include "my_usb_handler.h"

#endif
